Problem in DLC installation (testscript.py)

Hi
I am a Windows 10 user and I don’t have knowledge on how to tackle installation problems.

I require DLC for a project. I followed these steps:

  1. Downloaded Anaconda
  2. On the Anaconda terminal, I performed:
    git clone https://github.com/DeepLabCut/DeepLabCut.git
  3. Then, after changing my directory to conda-environments in the DeepLabCut folder:
    conda env create -f DLC-CPU.yaml
  4. Finally, conda activate DLC-CPU

The result was that I was able to start python and import the deeplabcut package.
BUT,
When I tried running the testscript.py file, I got an error. I am worried how I can resolve this. I am attaching an image that contains the code. I sincerely request you to help me resolve this issue.

Regards
Sanket Garg

When re-running the testscript.py, make sure to erase the test folder previously created and it will go smoothly.

1 Like

I did that. So the code did run now. But after training the dataset, it showed that no video is available. I really want to get the testscript.py running successfully.

so just be sure you open the anaconda prompt β€œas an admin,” right click, open as admin. The script is trying to automatically write files, and if you don’t have admin privileges, this is an issue in windows.

1 Like

Hi
Thank you for your reply.
I just tried this, but it is of no help. It is still showing the same error.

yeah says no video found, so this seems that there is a permission issue … is the video indeed in the folder it created, (also if you can copy/pase code vs. image, it much easier to describe what to check for me.

1 Like
(base) PS C:\WINDOWS\system32> cd ..
(base) PS C:\WINDOWS> cd ..
(base) PS C:\> cd Users
(base) PS C:\Users> cd sanke
(base) PS C:\Users\sanke> cd DeepLabCut
(base) PS C:\Users\sanke\DeepLabCut> conda activate DLC-CPU
(DLC-CPU) PS C:\Users\sanke\DeepLabCut> ipython testscript.py
[TerminalIPythonApp] WARNING | File 'testscript.py' doesn't exist
(DLC-CPU) PS C:\Users\sanke\DeepLabCut> cd examples
(DLC-CPU) PS C:\Users\sanke\DeepLabCut\examples> ipython testscript.py
Imported DLC!
On Windows/OSX tensorpack is not tested by default.
CREATING PROJECT
Created "C:\Users\sanke\DeepLabCut\examples\TEST-Alex-2021-04-29\videos"
Created "C:\Users\sanke\DeepLabCut\examples\TEST-Alex-2021-04-29\labeled-data"
Created "C:\Users\sanke\DeepLabCut\examples\TEST-Alex-2021-04-29\training-datasets"
Created "C:\Users\sanke\DeepLabCut\examples\TEST-Alex-2021-04-29\dlc-models"
Copying the videos
C:\Users\sanke\DeepLabCut\examples\TEST-Alex-2021-04-29\videos\reachingvideo1.avi
Generated "C:\Users\sanke\DeepLabCut\examples\TEST-Alex-2021-04-29\config.yaml"

A new project with name TEST-Alex-2021-04-29 is created at C:\Users\sanke\DeepLabCut\examples and a configurable file (config.yaml) is stored there. Change the parameters in this file to adapt to your project's needs.
 Once you have changed the configuration file, use the function 'extract_frames' to select frames for labeling.
. [OPTIONAL] Use the function 'add_new_videos' to add new videos to your project (at any stage).
EXTRACTING FRAMES
Config file read successfully.
Extracting frames based on kmeans ...
Kmeans-quantization based extracting of frames from 0.0  seconds to 8.53  seconds.
Extracting and downsampling... 256  frames from the video.
256it [00:02, 105.67it/s]
Kmeans clustering ... (this might take a while)
Frames were successfully extracted, for the videos of interest.

You can now label the frames using the function 'label_frames' (if you extracted enough frames for all videos).
CREATING-SOME LABELS FOR THE FRAMES
Plot labels...
Creating images with labels by Alex.
100%|β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ| 5/5 [00:01<00:00,  4.49it/s]
If all the labels are ok, then use the function 'create_training_dataset' to create the training dataset!
CREATING TRAININGSET
Downloading a ImageNet-pretrained model from https://storage.googleapis.com/mobilenet_v2/checkpoints/mobilenet_v2_0.35_224.tgz....
The training dataset is successfully created. Use the function 'train_network' to start training. Happy training!
CHANGING training parameters to end quickly!
TRAIN
Selecting single-animal trainer
Config:
{'all_joints': [[0], [1], [2], [3]],
 'all_joints_names': ['bodypart1', 'bodypart2', 'bodypart3', 'objectA'],
 'alpha_r': 0.02,
 'batch_size': 1,
 'clahe': True,
 'claheratio': 0.1,
 'crop_pad': 0,
 'cropratio': 0.4,
 'dataset': 'training-datasets\\iteration-0\\UnaugmentedDataSet_TESTApr29\\TEST_Alex80shuffle1.mat',
 'dataset_type': 'default',
 'decay_steps': 30000,
 'deterministic': False,
 'display_iters': 2,
 'edge': False,
 'emboss': {'alpha': [0.0, 1.0], 'embossratio': 0.1, 'strength': [0.5, 1.5]},
 'fg_fraction': 0.25,
 'global_scale': 0.8,
 'histeq': True,
 'histeqratio': 0.1,
 'init_weights': 'C:\\Users\\sanke\\anaconda3\\envs\\DLC-CPU\\lib\\site-packages\\deeplabcut\\pose_estimation_tensorflow\\models\\pretrained\\mobilenet_v2_0.35_224.ckpt',
 'intermediate_supervision': False,
 'intermediate_supervision_layer': 12,
 'location_refinement': True,
 'locref_huber_loss': True,
 'locref_loss_weight': 0.05,
 'locref_stdev': 7.2801,
 'log_dir': 'log',
 'lr_init': 0.0005,
 'max_input_size': 1500,
 'mean_pixel': [123.68, 116.779, 103.939],
 'metadataset': 'training-datasets\\iteration-0\\UnaugmentedDataSet_TESTApr29\\Documentation_data-TEST_80shuffle1.pickle',
 'min_input_size': 64,
 'mirror': False,
 'multi_step': [[0.001, 5]],
 'net_type': 'mobilenet_v2_0.35',
 'num_joints': 4,
 'optimizer': 'sgd',
 'pairwise_huber_loss': False,
 'pairwise_predict': False,
 'partaffinityfield_predict': False,
 'pos_dist_thresh': 17,
 'project_path': 'C:\\Users\\sanke\\DeepLabCut\\examples\\TEST-Alex-2021-04-29',
 'regularize': False,
 'rotation': 25,
 'rotratio': 0.4,
 'save_iters': 5,
 'scale_jitter_lo': 0.5,
 'scale_jitter_up': 1.25,
 'scoremap_dir': 'test',
 'sharpen': False,
 'sharpenratio': 0.3,
 'shuffle': True,
 'snapshot_prefix': 'C:\\Users\\sanke\\DeepLabCut\\examples\\TEST-Alex-2021-04-29\\dlc-models\\iteration-0\\TESTApr29-trainset80shuffle1\\train\\snapshot',
 'stride': 8.0,
 'weigh_negatives': False,
 'weigh_only_present_joints': False,
 'weigh_part_predictions': False,
 'weight_decay': 0.0001}
Starting with imgaug pose-dataset loader (=default).
Batch Size is 1
Initializing MobileNet
Loading ImageNet-pretrained mobilenet_v2_0.35
2021-04-29 18:49:14.234364: I tensorflow/core/platform/cpu_feature_guard.cc:142] Your CPU supports instructions that this TensorFlow binary was not compiled to use: AVX2
Training parameter:
{'stride': 8.0, 'weigh_part_predictions': False, 'weigh_negatives': False, 'fg_fraction': 0.25, 'mean_pixel': [123.68, 116.779, 103.939], 'shuffle': True, 'snapshot_prefix': 'C:\\Users\\sanke\\DeepLabCut\\examples\\TEST-Alex-2021-04-29\\dlc-models\\iteration-0\\TESTApr29-trainset80shuffle1\\train\\snapshot', 'log_dir': 'log', 'global_scale': 0.8, 'location_refinement': True, 'locref_stdev': 7.2801, 'locref_loss_weight': 0.05, 'locref_huber_loss': True, 'optimizer': 'sgd', 'intermediate_supervision': False, 'intermediate_supervision_layer': 12, 'regularize': False, 'weight_decay': 0.0001, 'crop_pad': 0, 'scoremap_dir': 'test', 'batch_size': 1, 'dataset_type': 'default', 'deterministic': False, 'mirror': False, 'pairwise_huber_loss': False, 'weigh_only_present_joints': False, 'partaffinityfield_predict': False, 'pairwise_predict': False, 'all_joints': [[0], [1], [2], [3]], 'all_joints_names': ['bodypart1', 'bodypart2', 'bodypart3', 'objectA'], 'alpha_r': 0.02, 'clahe': True, 'claheratio': 0.1, 'cropratio': 0.4, 'dataset': 'training-datasets\\iteration-0\\UnaugmentedDataSet_TESTApr29\\TEST_Alex80shuffle1.mat', 'decay_steps': 30000, 'display_iters': 2, 'edge': False, 'emboss': {'alpha': [0.0, 1.0], 'embossratio': 0.1, 'strength': [0.5, 1.5]}, 'histeq': True, 'histeqratio': 0.1, 'init_weights': 'C:\\Users\\sanke\\anaconda3\\envs\\DLC-CPU\\lib\\site-packages\\deeplabcut\\pose_estimation_tensorflow\\models\\pretrained\\mobilenet_v2_0.35_224.ckpt', 'lr_init': 0.0005, 'max_input_size': 1500, 'metadataset': 'training-datasets\\iteration-0\\UnaugmentedDataSet_TESTApr29\\Documentation_data-TEST_80shuffle1.pickle', 'min_input_size': 64, 'multi_step': [[0.001, 5]], 'net_type': 'mobilenet_v2_0.35', 'num_joints': 4, 'pos_dist_thresh': 17, 'project_path': 'C:\\Users\\sanke\\DeepLabCut\\examples\\TEST-Alex-2021-04-29', 'rotation': 25, 'rotratio': 0.4, 'save_iters': 5, 'scale_jitter_lo': 0.5, 'scale_jitter_up': 1.25, 'sharpen': False, 'sharpenratio': 0.3, 'covering': True, 'elastic_transform': True, 'motion_blur': True, 'motion_blur_params': {'k': 7, 'angle': (-90, 90)}}
Starting training....
iteration: 2 loss: 1.2536 lr: 0.001
iteration: 4 loss: 0.8064 lr: 0.001
2021-04-29 18:49:56.607412: W tensorflow/core/kernels/queue_base.cc:277] _0_fifo_queue: Skipping cancelled enqueue attempt with queue not closed
Exception in thread Thread-2:
Traceback (most recent call last):
  File "C:\Users\sanke\anaconda3\envs\DLC-CPU\lib\site-packages\tensorflow_core\python\client\session.py", line 1365, in _do_call
    return fn(*args)
  File "C:\Users\sanke\anaconda3\envs\DLC-CPU\lib\site-packages\tensorflow_core\python\client\session.py", line 1350, in _run_fn
    target_list, run_metadata)
  File "C:\Users\sanke\anaconda3\envs\DLC-CPU\lib\site-packages\tensorflow_core\python\client\session.py", line 1443, in _call_tf_sessionrun
    run_metadata)
tensorflow.python.framework.errors_impl.CancelledError: Enqueue operation was cancelled
         [[{{node fifo_queue_enqueue}}]]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\sanke\anaconda3\envs\DLC-CPU\lib\threading.py", line 926, in _bootstrap_inner
    self.run()
  File "C:\Users\sanke\anaconda3\envs\DLC-CPU\lib\threading.py", line 870, in run
    self._target(*self._args, **self._kwargs)
  File "C:\Users\sanke\anaconda3\envs\DLC-CPU\lib\site-packages\deeplabcut\pose_estimation_tensorflow\train.py", line 91, in load_and_enqueue
    sess.run(enqueue_op, feed_dict=food)
  File "C:\Users\sanke\anaconda3\envs\DLC-CPU\lib\site-packages\tensorflow_core\python\client\session.py", line 956, in run
    run_metadata_ptr)
  File "C:\Users\sanke\anaconda3\envs\DLC-CPU\lib\site-packages\tensorflow_core\python\client\session.py", line 1180, in _run
    feed_dict_tensor, options, run_metadata)
  File "C:\Users\sanke\anaconda3\envs\DLC-CPU\lib\site-packages\tensorflow_core\python\client\session.py", line 1359, in _do_run
    run_metadata)
  File "C:\Users\sanke\anaconda3\envs\DLC-CPU\lib\site-packages\tensorflow_core\python\client\session.py", line 1384, in _do_call
    raise type(e)(node_def, op, message)
tensorflow.python.framework.errors_impl.CancelledError: Enqueue operation was cancelled
         [[node fifo_queue_enqueue (defined at \anaconda3\envs\DLC-CPU\lib\site-packages\tensorflow_core\python\framework\ops.py:1748) ]]

Original stack trace for 'fifo_queue_enqueue':
  File "\anaconda3\envs\DLC-CPU\Scripts\ipython-script.py", line 10, in <module>
    sys.exit(start_ipython())
  File "\anaconda3\envs\DLC-CPU\lib\site-packages\IPython\__init__.py", line 126, in start_ipython
    return launch_new_instance(argv=argv, **kwargs)
  File "\anaconda3\envs\DLC-CPU\lib\site-packages\traitlets\config\application.py", line 844, in launch_instance
    app.initialize(argv)
  File "\anaconda3\envs\DLC-CPU\lib\site-packages\traitlets\config\application.py", line 87, in inner
    return method(app, *args, **kwargs)
  File "\anaconda3\envs\DLC-CPU\lib\site-packages\IPython\terminal\ipapp.py", line 323, in initialize
    self.init_code()
  File "\anaconda3\envs\DLC-CPU\lib\site-packages\IPython\core\shellapp.py", line 328, in init_code
    self._run_cmd_line_code()
  File "\anaconda3\envs\DLC-CPU\lib\site-packages\IPython\core\shellapp.py", line 453, in _run_cmd_line_code
    self._exec_file(fname, shell_futures=True)
  File "\anaconda3\envs\DLC-CPU\lib\site-packages\IPython\core\shellapp.py", line 381, in _exec_file
    raise_exceptions=True)
  File "\anaconda3\envs\DLC-CPU\lib\site-packages\IPython\core\interactiveshell.py", line 2759, in safe_execfile
    self.compile if shell_futures else None)
  File "\anaconda3\envs\DLC-CPU\lib\site-packages\IPython\utils\py3compat.py", line 168, in execfile
    exec(compiler(f.read(), fname, 'exec'), glob, loc)
  File "\DeepLabCut\examples\testscript.py", line 146, in <module>
    deeplabcut.train_network(path_config_file)
  File "\anaconda3\envs\DLC-CPU\lib\site-packages\deeplabcut\pose_estimation_tensorflow\training.py", line 189, in train_network
    allow_growth=allow_growth,
  File "\anaconda3\envs\DLC-CPU\lib\site-packages\deeplabcut\pose_estimation_tensorflow\train.py", line 176, in train
    batch, enqueue_op, placeholders = setup_preloading(batch_spec)
  File "\anaconda3\envs\DLC-CPU\lib\site-packages\deeplabcut\pose_estimation_tensorflow\train.py", line 77, in setup_preloading
    enqueue_op = q.enqueue(placeholders_list)
  File "\anaconda3\envs\DLC-CPU\lib\site-packages\tensorflow_core\python\ops\data_flow_ops.py", line 346, in enqueue
    self._queue_ref, vals, name=scope)
  File "\anaconda3\envs\DLC-CPU\lib\site-packages\tensorflow_core\python\ops\gen_data_flow_ops.py", line 4409, in queue_enqueue_v2
    timeout_ms=timeout_ms, name=name)
  File "\anaconda3\envs\DLC-CPU\lib\site-packages\tensorflow_core\python\framework\op_def_library.py", line 794, in _apply_op_helper
    op_def=op_def)
  File "\anaconda3\envs\DLC-CPU\lib\site-packages\tensorflow_core\python\util\deprecation.py", line 507, in new_func
    return func(*args, **kwargs)
  File "\anaconda3\envs\DLC-CPU\lib\site-packages\tensorflow_core\python\framework\ops.py", line 3357, in create_op
    attrs, op_def, compute_device)
  File "\anaconda3\envs\DLC-CPU\lib\site-packages\tensorflow_core\python\framework\ops.py", line 3426, in _create_op_internal
    op_def=op_def)
  File "\anaconda3\envs\DLC-CPU\lib\site-packages\tensorflow_core\python\framework\ops.py", line 1748, in __init__
    self._traceback = tf_stack.extract_stack()


The network is now trained and ready to evaluate. Use the function 'evaluate_network' to evaluate the network.
EVALUATE
Config:
{'all_joints': [[0], [1], [2], [3]],
 'all_joints_names': ['bodypart1', 'bodypart2', 'bodypart3', 'objectA'],
 'batch_size': 1,
 'crop_pad': 0,
 'dataset': 'training-datasets\\iteration-0\\UnaugmentedDataSet_TESTApr29\\TEST_Alex80shuffle1.mat',
 'dataset_type': 'imgaug',
 'deterministic': False,
 'fg_fraction': 0.25,
 'global_scale': 0.8,
 'init_weights': 'C:\\Users\\sanke\\anaconda3\\envs\\DLC-CPU\\lib\\site-packages\\deeplabcut\\pose_estimation_tensorflow\\models\\pretrained\\mobilenet_v2_0.35_224.ckpt',
 'intermediate_supervision': False,
 'intermediate_supervision_layer': 12,
 'location_refinement': True,
 'locref_huber_loss': True,
 'locref_loss_weight': 1.0,
 'locref_stdev': 7.2801,
 'log_dir': 'log',
 'mean_pixel': [123.68, 116.779, 103.939],
 'mirror': False,
 'net_type': 'mobilenet_v2_0.35',
 'num_joints': 4,
 'optimizer': 'sgd',
 'pairwise_huber_loss': True,
 'pairwise_predict': False,
 'partaffinityfield_predict': False,
 'regularize': False,
 'scoremap_dir': 'test',
 'shuffle': True,
 'snapshot_prefix': 'C:\\Users\\sanke\\DeepLabCut\\examples\\TEST-Alex-2021-04-29\\dlc-models\\iteration-0\\TESTApr29-trainset80shuffle1\\test\\snapshot',
 'stride': 8.0,
 'weigh_negatives': False,
 'weigh_only_present_joints': False,
 'weigh_part_predictions': False,
 'weight_decay': 0.0001}
Running  DLC_mobnet_35_TESTApr29shuffle1_5  with # of trainingiterations: 5
Initializing MobileNet
Analyzing data...
5it [00:03,  1.43it/s]
Done and results stored for snapshot:  snapshot-5
Results for 5  training iterations: 80 1 train error: 300.29 pixels. Test error: 403.47  pixels.
With pcutoff of 0.01  train error: 300.29 pixels. Test error: 403.47 pixels
Thereby, the errors are given by the average distances between the labels by DLC and the scorer.
Plotting...
100%|β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ| 5/5 [00:11<00:00,  2.39s/it]
The network is evaluated and the results are stored in the subdirectory 'evaluation_results'.
If it generalizes well, choose the best model for prediction and update the config file with the appropriate index for the 'snapshotindex'.
Use the function 'analyze_video' to make predictions on new videos.
Otherwise consider retraining the network (see DeepLabCut workflow Fig 2)
CUT SHORT VIDEO AND ANALYZE (with dynamic cropping!)
'ffmpeg' is not recognized as an internal or external command,
operable program or batch file.
Config:
{'all_joints': [[0], [1], [2], [3]],
 'all_joints_names': ['bodypart1', 'bodypart2', 'bodypart3', 'objectA'],
 'batch_size': 1,
 'crop_pad': 0,
 'dataset': 'training-datasets\\iteration-0\\UnaugmentedDataSet_TESTApr29\\TEST_Alex80shuffle1.mat',
 'dataset_type': 'imgaug',
 'deterministic': False,
 'fg_fraction': 0.25,
 'global_scale': 0.8,
 'init_weights': 'C:\\Users\\sanke\\anaconda3\\envs\\DLC-CPU\\lib\\site-packages\\deeplabcut\\pose_estimation_tensorflow\\models\\pretrained\\mobilenet_v2_0.35_224.ckpt',
 'intermediate_supervision': False,
 'intermediate_supervision_layer': 12,
 'location_refinement': True,
 'locref_huber_loss': True,
 'locref_loss_weight': 1.0,
 'locref_stdev': 7.2801,
 'log_dir': 'log',
 'mean_pixel': [123.68, 116.779, 103.939],
 'mirror': False,
 'net_type': 'mobilenet_v2_0.35',
 'num_joints': 4,
 'optimizer': 'sgd',
 'pairwise_huber_loss': True,
 'pairwise_predict': False,
 'partaffinityfield_predict': False,
 'regularize': False,
 'scoremap_dir': 'test',
 'shuffle': True,
 'snapshot_prefix': 'C:\\Users\\sanke\\DeepLabCut\\examples\\TEST-Alex-2021-04-29\\dlc-models\\iteration-0\\TESTApr29-trainset80shuffle1\\test\\snapshot',
 'stride': 8.0,
 'weigh_negatives': False,
 'weigh_only_present_joints': False,
 'weigh_part_predictions': False,
 'weight_decay': 0.0001}
Using snapshot-5 for model C:\Users\sanke\DeepLabCut\examples\TEST-Alex-2021-04-29\dlc-models\iteration-0\TESTApr29-trainset80shuffle1
Starting analysis in dynamic cropping mode with parameters: (True, 0.1, 5)
Switching batchsize to 1, num_outputs (per animal) to 1 and TFGPUinference to False (all these features are not supported in this mode).
Initializing MobileNet
No video(s) were found. Please check your paths and/or 'video_type'.
analyze again...
Config:
{'all_joints': [[0], [1], [2], [3]],
 'all_joints_names': ['bodypart1', 'bodypart2', 'bodypart3', 'objectA'],
 'batch_size': 1,
 'crop_pad': 0,
 'dataset': 'training-datasets\\iteration-0\\UnaugmentedDataSet_TESTApr29\\TEST_Alex80shuffle1.mat',
 'dataset_type': 'imgaug',
 'deterministic': False,
 'fg_fraction': 0.25,
 'global_scale': 0.8,
 'init_weights': 'C:\\Users\\sanke\\anaconda3\\envs\\DLC-CPU\\lib\\site-packages\\deeplabcut\\pose_estimation_tensorflow\\models\\pretrained\\mobilenet_v2_0.35_224.ckpt',
 'intermediate_supervision': False,
 'intermediate_supervision_layer': 12,
 'location_refinement': True,
 'locref_huber_loss': True,
 'locref_loss_weight': 1.0,
 'locref_stdev': 7.2801,
 'log_dir': 'log',
 'mean_pixel': [123.68, 116.779, 103.939],
 'mirror': False,
 'net_type': 'mobilenet_v2_0.35',
 'num_joints': 4,
 'optimizer': 'sgd',
 'pairwise_huber_loss': True,
 'pairwise_predict': False,
 'partaffinityfield_predict': False,
 'regularize': False,
 'scoremap_dir': 'test',
 'shuffle': True,
 'snapshot_prefix': 'C:\\Users\\sanke\\DeepLabCut\\examples\\TEST-Alex-2021-04-29\\dlc-models\\iteration-0\\TESTApr29-trainset80shuffle1\\test\\snapshot',
 'stride': 8.0,
 'weigh_negatives': False,
 'weigh_only_present_joints': False,
 'weigh_part_predictions': False,
 'weight_decay': 0.0001}
Using snapshot-5 for model C:\Users\sanke\DeepLabCut\examples\TEST-Alex-2021-04-29\dlc-models\iteration-0\TESTApr29-trainset80shuffle1
Initializing MobileNet
No video(s) were found. Please check your paths and/or 'video_type'.
CREATE VIDEO
No video(s) were found. Please check your paths and/or 'video_type'.
Making plots
No videos found. Make sure you passed a list of videos and that *videotype* is right.
EXTRACT OUTLIERS
No suitable videos found in ['C:\\Users\\sanke\\DeepLabCut\\examples\\TEST-Alex-2021-04-29\\videos\\reachingvideo1short.avi']
No suitable videos found in ['C:\\Users\\sanke\\DeepLabCut\\examples\\TEST-Alex-2021-04-29\\videos\\reachingvideo1short.avi']
RELABELING
---------------------------------------------------------------------------
FileNotFoundError                         Traceback (most recent call last)
~\DeepLabCut\examples\testscript.py in <module>
    225
    226     print("RELABELING")
--> 227     DF = pd.read_hdf(file, "df_with_missing")
    228     DLCscorer = np.unique(DF.columns.get_level_values(0))[0]
    229     DF.columns.set_levels([scorer.replace(DLCscorer, scorer)], level=0, inplace=True)

~\anaconda3\envs\DLC-CPU\lib\site-packages\pandas\io\pytables.py in read_hdf(path_or_buf, key, mode, errors, where, start, stop, columns, iterator, chunksize, **kwargs)
    395
    396         if not exists:
--> 397             raise FileNotFoundError(f"File {path_or_buf} does not exist")
    398
    399         store = HDFStore(path_or_buf, mode=mode, errors=errors, **kwargs)

FileNotFoundError: File C:\Users\sanke\DeepLabCut\examples\TEST-Alex-2021-04-29\labeled-data\reachingvideo1short\machinelabels-iter0.h5 does not exist

If possible can we have a short Zoom meeting?

Seems just an odd issue with writing the shortened video; if you have admin, then please check ffmpeg; I would also say though, all major steps passed, I’m sure it’s installed correctly.

1 Like

I wanted to get the testscript.py file running properly because detecting errors at a later stage becomes difficult.
Anyways, thank you for your help. I hope it runs properly now. :grinning: